## EmpathyChatroom

EmpathyChatroom

## Synopsis

    #define             EMPATHY_TYPE_CHATROOM_INVITE
                        EmpathyChatroom;
    EmpathyChatroom *   empathy_chatroom_new                (EmpathyAccount *account);
    EmpathyChatroom *   empathy_chatroom_new_full           (EmpathyAccount *account,
                                                             const gchar *room,
                                                             const gchar *name,
                                                             gboolean auto_connect);
    EmpathyAccount *    empathy_chatroom_get_account        (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_account        (EmpathyChatroom *chatroom,
                                                             EmpathyAccount *account);
    const gchar *       empathy_chatroom_get_room           (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_room           (EmpathyChatroom *chatroom,
                                                             const gchar *room);
    const gchar *       empathy_chatroom_get_name           (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_name           (EmpathyChatroom *chatroom,
                                                             const gchar *name);
    gboolean            empathy_chatroom_get_auto_connect   (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_auto_connect   (EmpathyChatroom *chatroom,
                                                             gboolean auto_connect);
    const gchar *       empathy_chatroom_get_subject        (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_subject        (EmpathyChatroom *chatroom,
                                                             const gchar *subject);
    guint               empathy_chatroom_get_members_count  (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_members_count  (EmpathyChatroom *chatroom,
                                                             guint count);
    gboolean            empathy_chatroom_get_need_password  (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_need_password  (EmpathyChatroom *chatroom,
                                                             gboolean need_password);
    gboolean            empathy_chatroom_get_invite_only    (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_invite_only    (EmpathyChatroom *chatroom,
                                                             gboolean invite_only);
    gboolean            empathy_chatroom_equal              (gconstpointer v1,
                                                             gconstpointer v2);
    EmpathyTpChat *     empathy_chatroom_get_tp_chat        (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_tp_chat        (EmpathyChatroom *chatroom,
                                                             EmpathyTpChat *tp_chat);
    gboolean            empathy_chatroom_is_favorite        (EmpathyChatroom *chatroom);
    void                empathy_chatroom_set_favorite       (EmpathyChatroom *chatroom,
                                                             gboolean favorite);

## Object Hierarchy

      GObject
       +----EmpathyChatroom

## Properties

      "account"                  EmpathyAccount*       : Read / Write
      "auto-connect"             gboolean              : Read / Write
      "favorite"                 gboolean              : Read / Write / Construct
      "invite-only"              gboolean              : Read / Write / Construct
      "members-count"            guint                 : Read / Write / Construct
      "name"                     gchar*                : Read / Write
      "need-password"            gboolean              : Read / Write / Construct
      "room"                     gchar*                : Read / Write
      "subject"                  gchar*                : Read / Write / Construct
      "tp-chat"                  EmpathyTpChat*        : Read / Write

## Description

## Details

### EMPATHY_TYPE_CHATROOM_INVITE

    #define EMPATHY_TYPE_CHATROOM_INVITE       (empathy_chatroom_invite_get_gtype ())

### EmpathyChatroom

    typedef struct _EmpathyChatroom EmpathyChatroom;

### empathy_chatroom_new ()

    EmpathyChatroom *   empathy_chatroom_new                (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_chatroom_new_full ()

    EmpathyChatroom *   empathy_chatroom_new_full           (EmpathyAccount *account,
                                                             const gchar *room,
                                                             const gchar *name,
                                                             gboolean auto_connect);

`account` : |
`room` : |
`name` : |
`auto_connect` : |
Returns : |

### empathy_chatroom_get_account ()

    EmpathyAccount *    empathy_chatroom_get_account        (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_account ()

    void                empathy_chatroom_set_account        (EmpathyChatroom *chatroom,
                                                             EmpathyAccount *account);

`chatroom` : |
`account` : |

### empathy_chatroom_get_room ()

    const gchar *       empathy_chatroom_get_room           (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_room ()

    void                empathy_chatroom_set_room           (EmpathyChatroom *chatroom,
                                                             const gchar *room);

`chatroom` : |
`room` : |

### empathy_chatroom_get_name ()

    const gchar *       empathy_chatroom_get_name           (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_name ()

    void                empathy_chatroom_set_name           (EmpathyChatroom *chatroom,
                                                             const gchar *name);

`chatroom` : |
`name` : |

### empathy_chatroom_get_auto_connect ()

    gboolean            empathy_chatroom_get_auto_connect   (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_auto_connect ()

    void                empathy_chatroom_set_auto_connect   (EmpathyChatroom *chatroom,
                                                             gboolean auto_connect);

`chatroom` : |
`auto_connect` : |

### empathy_chatroom_get_subject ()

    const gchar *       empathy_chatroom_get_subject        (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_subject ()

    void                empathy_chatroom_set_subject        (EmpathyChatroom *chatroom,
                                                             const gchar *subject);

`chatroom` : |
`subject` : |

### empathy_chatroom_get_members_count ()

    guint               empathy_chatroom_get_members_count  (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_members_count ()

    void                empathy_chatroom_set_members_count  (EmpathyChatroom *chatroom,
                                                             guint count);

`chatroom` : |
`count` : |

### empathy_chatroom_get_need_password ()

    gboolean            empathy_chatroom_get_need_password  (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_need_password ()

    void                empathy_chatroom_set_need_password  (EmpathyChatroom *chatroom,
                                                             gboolean need_password);

`chatroom` : |
`need_password` : |

### empathy_chatroom_get_invite_only ()

    gboolean            empathy_chatroom_get_invite_only    (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_invite_only ()

    void                empathy_chatroom_set_invite_only    (EmpathyChatroom *chatroom,
                                                             gboolean invite_only);

`chatroom` : |
`invite_only` : |

### empathy_chatroom_equal ()

    gboolean            empathy_chatroom_equal              (gconstpointer v1,
                                                             gconstpointer v2);

`v1` : |
`v2` : |
Returns : |

### empathy_chatroom_get_tp_chat ()

    EmpathyTpChat *     empathy_chatroom_get_tp_chat        (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_tp_chat ()

    void                empathy_chatroom_set_tp_chat        (EmpathyChatroom *chatroom,
                                                             EmpathyTpChat *tp_chat);

`chatroom` : |
`tp_chat` : |

### empathy_chatroom_is_favorite ()

    gboolean            empathy_chatroom_is_favorite        (EmpathyChatroom *chatroom);

`chatroom` : |
Returns : |

### empathy_chatroom_set_favorite ()

    void                empathy_chatroom_set_favorite       (EmpathyChatroom *chatroom,
                                                             gboolean favorite);

`chatroom` : |
`favorite` : |

## Property Details

### The `"account"` property

      "account"                  EmpathyAccount*       : Read / Write

The account associated with an chatroom.

### The `"auto-connect"` property

      "auto-connect"             gboolean              : Read / Write

Connect on startup.

Default value: FALSE

### The `"favorite"` property

      "favorite"                 gboolean              : Read / Write / Construct

TRUE if the chatroom is in user's favorite list.

Default value: FALSE

### The `"invite-only"` property

      "invite-only"              gboolean              : Read / Write / Construct

The chatroom is invite only.

Default value: FALSE

### The `"members-count"` property

      "members-count"            guint                 : Read / Write / Construct

The chatroom's members count.

Default value: 0

### The `"name"` property

      "name"                     gchar*                : Read / Write

Chatroom name.

Default value: NULL

### The `"need-password"` property

      "need-password"            gboolean              : Read / Write / Construct

The chatroom is password protected.

Default value: FALSE

### The `"room"` property

      "room"                     gchar*                : Read / Write

Chatroom represented as 'room@server'.

Default value: NULL

### The `"subject"` property

      "subject"                  gchar*                : Read / Write / Construct

The chatroom's subject.

Default value: ""

### The `"tp-chat"` property

      "tp-chat"                  EmpathyTpChat*        : Read / Write

The wrapper for the chatroom channel if there is one.